unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ButtonEllipse: TButton;
    ButtonShow: TButton;
    ButtonEtoile: TButton;
    ButtonRectangle: TButton;
    ButtonArrondirLesAngles: TButton;
    procedure ButtonEllipseClick(Sender: TObject);
    procedure ButtonShowClick(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure ButtonEtoileClick(Sender: TObject);
    procedure ButtonRectangleClick(Sender: TObject);
    procedure ButtonArrondirLesAnglesClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.ButtonEllipseClick(Sender: TObject);
begin
  SetWindowRgn(form2.handle,CreateEllipticRgn(0,0,form2.width,form2.height),true);
end;

procedure TForm1.ButtonShowClick(Sender: TObject);
begin
  form2.Show;
end;



procedure TForm1.TimerTimer(Sender: TObject);
begin
  SetWindowRgn(GetForegroundWindow,CreateEllipticRgn(0,0,form2.width,form2.height),true);
end;

procedure TForm1.ButtonEtoileClick(Sender: TObject);
var sommets:Array[0..8]of TPoint;
begin
  Sommets[0].x:=0;    Sommets[0].y:=0;
  Sommets[1].x:=100;  Sommets[1].y:=40;
  Sommets[2].x:=200;  Sommets[2].y:=0;
  Sommets[3].x:=160;  Sommets[3].y:=100;
  Sommets[4].x:=200;  Sommets[4].y:=200;
  Sommets[5].x:=100;  Sommets[5].y:=160;
  Sommets[6].x:=0;    Sommets[6].y:=200;
  Sommets[7].x:=40;   Sommets[7].y:=100;
  Sommets[8].x:=0;    Sommets[8].y:=0;
  SetWindowRgn(form2.handle,CreatePolygonRgn(Sommets,9,WINDING),true);
end;


procedure TForm1.ButtonRectangleClick(Sender: TObject);
begin
  SetWindowRgn(form2.handle,CreateRectRgn(0,0,Form2.Width,Form2.Height),true);
end;

procedure TForm1.ButtonArrondirLesAnglesClick(Sender: TObject);
begin
  SetWindowRgn(form2.handle,CreateRoundRectRgn(0,0,Form2.Width,Form2.Height,40,40),true);
end;

end.

